Subject: [dispatch] Revising the Well-Known URI registration policy (tldr; new draft, new list)

From: Mark Nottingham <[email-masked]>
Date: Mon, 7 May 2018 22:16:29 +1000

Hi everyone,

At the DISPATCH session in London, it became clear that the consensus recorded in RFC5785 about the scope of use for Well-Known URIs didn't match that in the room; while the intended uses in 2010 were focused on site-specific policy and metadata, the mechanism has become attractive for other uses as well.

So, in consultation with Alexey, I reached out to the W3C Technical Architecture Group to see if they had any concerns about opening upon Well-known URI registrations to use cases beyond what's countenanced by RFC5785, since the TAG was originally consulted when we established the registry:
  https://github.com/w3ctag/design-reviews/issues/237

The answer seems to be that they're not too concerned about architectural issues here. That being the case, I think it's reasonable to revise 5785 to allow broader use, and would like to confirm that direction with the broader community.

I've started to reflect that in a revision of my draft:
  https://mnot.github.io/I-D/rfc5785bis/

Diff from previous:
  https://tools.ietf.org/rfcdiff?url2=draft-nottingham-rfc5785bis-05.txt#diff0001

Alexey has created a mailing list to discuss the future of Well-Known URIs here:
  https://www.ietf.org/mailman/listinfo/http-well-known

If you have suggestions or feedback on this draft, concerns about this change, or other input, please head on over there to discuss.

Cheers,

P.S. Note that Reply-To is set to that list.

--
Mark Nottingham   https://www.mnot.net/